Will MySQL 5.7.31 be a prerequisite for 5.4?